Prerequisites for IT Visibility Inventory Beacons and Agents

Important:The inventory beacon information in this section is specific to IT Visibility only. For related information, see Uploading Inventory Data into IT Visibility. For help using inventory beacons with IT Asset Management, see Using IT Asset Management Inventory Beacons to Collect Inventory.

Inventory Beacon Prerequisites

To be used as an inventory beacon, a computer must meet these requirements:

Item

Requirements and Supported Versions

Processors

2 cores

Memory

4 GB minimum, 8 GB or higher recommended

Minimum free disk space

1 GB per 10,000 devices

Platform

One of the following Windows operating systems is installed:

Windows Server 2012, 2012 R2, 2016, 2019, 2022
Window 8, 10, 11.

Internet

Access to the Internet, including security settings that allow trusted access to Flexera (as described during set-up).

Network

LAN-speed access to any systems from which it will gather and deliver information. Currently, this means that you must have LAN-speed access to your Microsoft SCCM database server.

Browser

One of the following supported web browsers is installed:

Microsoft Edge for Windows
Google Chrome
Mozilla Firefox
Apple Safari

Software

The following prerequisite software is also installed (most of the following are installed by default with the operating systems listed above, and so will be present unless particular action has been taken to remove them):

PowerShell 5.1 or later
IIS 7.0 or later, with .NET Framework 4.7.2 or later installed
The security protocol for .NET must be configured for TLS 1.2 and/or 1.3. For guidance on configuring TLS protocols on your inventory beacon, see the Customer Community Knowledge article Transport Layer Security (TLS) configuration.

Inventory Agent Prerequisites

To be used as an inventory agent, a computer must meet these requirements:

Item

Requirements and Supported Versions

Platform

One of the following operating systems is installed:

Windows Server 2008 R2 x64, 2012, 2012 R2, 2012 R2 SP1, 2016, 2019, 2022
Windows Server Core 2008, 2008 R2 x64, 2012, 2012 R2
Windows Server Standard (previously known as Windows Server Core) 2016, 2019
Windows Vista, 7, 8, 10, 11.

Note:Windows systems that can run on ARM-based devices are also supported.

AIX 7.1 LPARs, 7.2
Amazon Linux 2, 2023 (ARM64/AArch64; x86, 32-bit and 64-bit)
CentOS 6-7.5 (x86, 32-bit and 64-bit); 7.6-9 (x86 64-bit only)
Debian Linux 8–11.3 (x86 32-bit and 64-bit); 11.5, 12.0 (x86 64-bit only)—For Debian Linux 9.4, 9.5 and 10 (both 32-bit and 64-bit), minimal installations of the OS core omit the ifconfig command. This prevents collection of the IP address and MAC address in inventory. The root user can use the following command to restore this functionality: apt-get install net-tools -y
Fedora Linux 26 (x86, 32-bit and 64-bit); 27-39 (x86 64-bit only)
HP-UX 11i v3, vPars/nPars
macOS 10.15.4–14 (applicable for both Intel and Apple M-series processors)—If you need to run the FlexNet inventory agent of version 20.1 or earlier on an Apple M-series processor (“Apple silicon”), Rosetta 2 must be installed and running. This is Apple's solution for transitioning most Intel-based applications to run on Apple silicon. There are two possible command formats for installing Rosetta 2:
Interactive installation that asks for agreement to the Rosetta 2 license:
usr/sbin/softwareupdate
--install-rosetta 
Non-interactive installation:
/usr/sbin/softwareupdate
--install-rosetta --agree-to-license 
Nutanix AHV hypervisor (All versions that are within their product support lifecycle and use the libvirt library are supported.)
OpenSUSE Leap 42.2, 42.3 (x86, 32-bit and 64-bit); 15-15.5 (x86 64-bit only)
Oracle Linux 6.0–6.10 (x86, 32-bit and 64-bit); 7.0-8.9 and 9.0-9.3 (x86 64-bit only)
Photon OS 3.0-5.0
Red Hat Enterprise Linux (RHEL) 6.0-6.10 (x86, 32-bit and 64-bit); 7.0-8.9 and 9.0-9.3 (x86 64-bit only)
Rocky Linux 8, 9
Solaris 10–11 (SPARC), Zones for versions 10–11
Solaris 10–11.4 (x86), Zones for versions 10–11
SUSE Linux Enterprise Server 12 SP3, 12 SP4, 12 SP5, 15, 15 SP1, 15.2–15.5 (x86 64-bit only)
Ubuntu 14–17.04 (x86, 32-bit and 64-bit); 17.10-23.10 (x86 64-bit only).

Note:For Linux platforms, the FlexNet inventory agent supports all the Linux operating systems listed above running on the Intel (32-bit and 64-bit) architecture, the IBM zSystems architecture, or the ARM64/AArch64 architecture. Little-endian OS releases (ppc64le) are supported on POWER8 or newer POWER processors that support glibc version 2.17 or later.

Internet

Access to the Internet, including security settings that allow trusted access to Flexera (as described during set-up).

Network

LAN-speed access to any systems from which it will gather and deliver information. Currently, this means that you must have LAN-speed access to your Microsoft SCCM database server.

Browser

One of the following supported web browsers is installed:

Microsoft Edge for Windows
Google Chrome
Mozilla Firefox
Apple Safari.

Software

No prerequisite software required for the inventory agent.